﻿<%@ Page Language="C#" Trace="False" Debug="False" %>
<%@ Import Namespace="System.Web.Security" %>
<script language="C#" runat=server>
void Login(Object sender, EventArgs E)
{
  if (FormsAuthentication.Authenticate(txbUser.Text,txbPassword.Text))
  {
    FormsAuthentication.RedirectFromLoginPage(txbUser.Text, chkPersistCookie.Checked);
  }
  else
  {
    lblMsg.Text = "Chybné heslo - zadejte znovu prosím";
  }
}
</script>
<html>
  <title>Přihlášení</title>
  <body>
    <form RunAt="server">
      <fieldset style="width:300px; padding:12px;">
        <legend>Přihlášení<br /></legend>
        Uživatel: <asp:TextBox Id="txbUser" RunAt="server" />
        <br />
        <asp:RequiredFieldValidator ControlToValidate="txbUser" Display="Dynamic" ErrorMessage="Schází uživatelské jméno" RunAt="server" />
        <br />
        Heslo: <asp:TextBox Id="txbPassword" TextMode="Password" RunAt="server" />
        <br />
        <asp:RequiredFieldValidator ControlToValidate="txbPassword" Display="Dynamic" ErrorMessage="Schází heslo" RunAt="server" />
        <br />
        <asp:CheckBox Id="chkPersistCookie" RunAt="server" Text="trvalé přihlášení" />
        <br />
        <asp:button text="Přihlásit" OnClick="Login" runat=server/>
        <br />
        <asp:Label id="lblMsg" ForeColor="red" RunAt="server" />
      </fieldset>
    </form>
  </body>
</html>
